> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dialect.to/llms.txt
> Use this file to discover all available pages before exploring further.

# Open Position

> Get a blink for opening a position



## OpenAPI

````yaml /openapi/orca.json get /v0/pools/{tokenA}/{tokenB}/open-position
openapi: 3.1.1
info:
  title: Orca Blinks API
  version: 0.0.1
servers:
  - url: https://orca.dial.to/api
security: []
paths:
  /v0/pools/{tokenA}/{tokenB}/open-position:
    get:
      tags:
        - Pools
      summary: Open Position
      description: Get a blink for opening a position
      operationId: orca.v0.pools.getOpenPositionBlink
      parameters:
        - name: tokenA
          in: path
          required: true
          schema:
            type: string
            description: Token A address
            default: So11111111111111111111111111111111111111112
        - name: tokenB
          in: path
          required: true
          schema:
            type: string
            description: Token B address
            default: EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                properties:
                  title:
                    type: string
                  description:
                    type: string
                  label:
                    type: string
                  icon:
                    type: string
                  links:
                    type: object
                    properties:
                      actions:
                        type: array
                        items:
                          type: object
                          properties:
                            type:
                              const: transaction
                            href:
                              type: string
                            label:
                              type: string
                            parameters:
                              type: array
                              items:
                                type: object
                                properties:
                                  name:
                                    type: string
                                  type:
                                    type: string
                                  label:
                                    type: string
                                required:
                                  - name
                                  - type
                                  - label
                          required:
                            - type
                            - href
                            - label
                    required:
                      - actions
                required:
                  - title
                  - description
                  - label
                  - icon
                  - links

````